=== debian/changelog ===
coyim (0.3.7-3) unstable; urgency=medium

  [ Chris Lamb ]
  * Skip tests that require internet access to avoid FTBFS. Whilst this was
    proximately caused by missing Build-Depends on "ca-certificates", the
    testsuite would remain brittle due to it requiring an internet connection
    and a valid remote SSL certificate at www.olabini.se:443.
    (Closes: #863414)

 -- Sascha Steinbiss <satta@debian.org>  Mon, 29 May 2017 10:31:46 +0200

coyim (0.3.7-2) unstable; urgency=medium

  * Remove unused Build-deps on golint, ruby and git.
  * Add Recommends: for tor.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 03 Nov 2016 23:17:08 +0000

coyim (0.3.7-1) unstable; urgency=medium

  * Initial release (Closes: #819469)

 -- Sascha Steinbiss <satta@debian.org>  Tue, 25 Oct 2016 08:34:58 +0200
