=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v([0-9.]+)\.tar\.gz/coyim-$1\.tar\.gz/;s/.+\/v([0-9.]+)-(pre\d*)\.tar\.gz/coyim-$1~$2.tar.gz/,uversionmangle=s/-pre/~pre/ \
  https://github.com/twstrike/coyim/releases .*/v?(\d\S+)\.tar\.gz
