## coyim 0.3.8%2Bds

=== gui/definitions/Makefile ===
generate:
	ruby ./generate.rb
	gofmt -w .

touch:
	ls *.xml | xargs -n1 touch

doctor: touch generate
	git diff --exit-code .
