=== debian/changelog ===
coyim (0.3.8+ds-5ubuntu0.1) bionic-security; urgency=medium

  * No-change rebuild for golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 16 Jan 2023 16:56:40 +0100

coyim (0.3.8+ds-5) unstable; urgency=medium

  * Switch to XS-Go-Import-Path.
    Thanks to Michael Stapelberg for the patch.
  * Migrate to pkg-go team maintenance.
  * Update Vcs-* to use Salsa.
  * Update debhelper compat level.
  * Bump Standards-Version.
  * Use secure d/copyright format link.
  * Remove unneeded patch files.
  * Check DEB_BUILD_PROFILES against nocheck flag and skip tests if needed.
  * Do not install source files with binary package.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 08 Feb 2018 10:05:41 +0100

coyim (0.3.8+ds-4) unstable; urgency=medium

  * Relax test timeout.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 12 Oct 2017 14:29:50 +0200

coyim (0.3.8+ds-3) unstable; urgency=medium

  * Relax test timeout.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 13 Aug 2017 10:13:48 -0400

coyim (0.3.8+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 19 Jun 2017 12:21:29 +0200

coyim (0.3.8+ds-1) experimental; urgency=medium

  * New upstream release.
  * Pin Go version to 1.7+
  * Update build-deps.
  * Remove patches for unvendoring.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 07 Jun 2017 11:04:08 +0200
