=== debian/watch ===
version=3
opts="repacksuffix=+ds,dversionmangle=s/\+ds//g,repack,compression=xz" \
  https://github.com/twstrike/coyim/releases .*/v(\d\S+)\.tar\.gz
