=== gui/settings/definitions/Makefile ===
.PHONY: generate

gschemas.compiled: *.xml
	glib-compile-schemas .

schemas.go: gschemas.compiled
	ruby ./generate.rb

generate: touch schemas.go

touch:
	ls *.xml | xargs -n1 touch

doctor: touch generate
	git diff --exit-code .
