=== debian/changelog ===
coyim (0.3.8+ds-6build1) groovy; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Sep 2020 23:15:45 +0000

coyim (0.3.8+ds-6) unstable; urgency=medium

  * Apply upstream patch to fix failing tests with recent golang.org/x/net.
    See https://github.com/coyim/coyim/issues/505 for details.
    Closes: #916128
  * Bump Standards-Version.
  * Use debhelper 11.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 22 Dec 2018 19:38:05 +0000
