=== debian/control ===
--- 
+++ 
@@ -1,26 +1,30 @@
 Source: coyim
 Section: net
 Priority: optional
-Maintainer: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Sascha Steinbiss <satta@debian.org>
+Build-Depends: debhelper (>= 11),
                dh-golang,
-               golang-go,
+               golang-go (>= 2:1.7),
                golang-dbus-dev,
                golang-github-gotk3-gotk3-dev,
                golang-github-hydrogen18-stalecucumber-dev,
                golang-github-thecreeper-go-notify-dev,
-               golang-github-twstrike-gotk3adapter-dev,
+               golang-github-twstrike-gotk3adapter-dev (>= 0.0~git20170505.0.901a95d),
                golang-github-twstrike-otr3-dev,
                golang-github-dhowett-go-plist-dev,
                golang-golang-x-crypto-dev,
                golang-gopkg-check.v1-dev,
                golang-github-miekg-dns-dev,
+               golang-github-kardianos-osext-dev,
                pkg-config,
                asciidoctor
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: https://coy.im
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/coyim.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/coyim.git
+Vcs-Browser: https://salsa.debian.org/pkg-go-team/packages/coyim
+Vcs-Git: https://salsa.debian.org/pkg-go-team/packages/coyim.git
+XS-Go-Import-Path: github.com/twstrike/coyim
 
 Package: coyim
 Architecture: any
