=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DH_OPTIONS
-export DH_GOPKG := github.com/twstrike/coyim
 
 %:
 	dh $@ --buildsystem=golang --with=golang --builddirectory=mybuild
@@ -11,13 +10,18 @@
 	dh_auto_clean --
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	find ./config/importer -type d -name '*test_data' | xargs cp -rv -t /tmp ./config/importer/xmpp_client_test_conf.json
 	# Skip tests requiring internet access
 	DH_GOLANG_EXCLUDES="github.com/twstrike/coyim/xmpp" dh_auto_test --
+endif
 
 override_dh_auto_build:
 	dh_auto_build --
 	find mybuild/src -type f | xargs chmod a-x
+
+override_dh_auto_install:
+	dh_auto_install -- --no-source
 
 override_dh_installman:
 	asciidoctor -a docdate='' -b manpage debian/coyim.1.adoc
